package fr.cnam.joueur;

import java.rmi.*;
import java.rmi.registry.*;
import java.util.*;

import fr.cnam.joueur.*;
import fr.cnam.util.*;

public class IHMJoueur
{
    public static void main(String... args) throws Exception
    {
        Parametres params = new Parametres(args);

        // Couleur du joueur
        int couleur=params.getInt("couleur",1);

        // Host de l'espace de tore
        String nomFactory = params.getString("nom_factory","FACTORY");

        // Host de l'espace de tore
        String hostFactory = params.getString("host_factory","localhost");

        // Port de l'espace de tore
        int port = params.getInt("port_annuaire",9100);

        // Connexion au factory du joueur
        FactoryAgentInt factory = (FactoryAgentInt)Naming.lookup("rmi://"+hostFactory+":"+port+"/"+nomFactory);

        // Creation de l'IHM
        new FormCreerAgents(factory,
                            couleur);

    }
}